package com.cnbm.packing.service;

import com.cnbm.common.page.PageData;
import com.cnbm.common.service.CrudService;
import com.cnbm.packing.dto.IdVo;
import com.cnbm.packing.dto.ScenesDTO;
import com.cnbm.packing.entity.Scenes;

import java.util.List;
import java.util.Map;

/**
 * 场景 表
 *
 * @author codeGenerator
 * @since  2023-12-21
 */
public interface ScenesServiceBiz extends CrudService<Scenes, ScenesDTO> {

    PageData<ScenesDTO> page (Map<String, Object> params);

    ScenesDTO get(Long id);

    void save(ScenesDTO dto);

    IdVo add(ScenesDTO dto);

    void update(ScenesDTO dto);

    IdVo edit(ScenesDTO dto);

    void delete(Long[] ids);

    List<ScenesDTO> list();

}