package com.cnbm.packing.service;

import com.cnbm.common.page.PageData;
import com.cnbm.common.service.CrudService;
import com.cnbm.packing.dto.IdVo;
import com.cnbm.packing.dto.WorkingTimeDTO;
import com.cnbm.packing.dto.WorkingTimeDTO;
import com.cnbm.packing.entity.WorkingTime;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * 班次时间段 表
 *
 * @author codeGenerator
 * @since  2023-12-19
 */
public interface WorkingTimeServiceBiz extends CrudService<WorkingTime, WorkingTimeDTO> {

    PageData<WorkingTimeDTO> page (Map<String, Object> params);

    WorkingTimeDTO get(Long id);

    void save(WorkingTimeDTO dto);

    void update(WorkingTimeDTO dto);

    void delete(Long[] ids);

    List<WorkingTimeDTO> list();

    String getOrderName(LocalDateTime time);

    IdVo add(WorkingTimeDTO dto);

    IdVo edit(WorkingTimeDTO dto);
}